:root {
  box-sizing: border-box;

  --logoColor: #5A5A5A;
  --primary: #3399db;
  --secondary: #f4941b;
  --hover-color: #3399db;/* #f4941b;*/ /*#fdd052;*/
  --dark: #002842;
  --light: #fff;

  --header-bg: var(--primary);
}
*,
*::after,
*::before {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}
body {
  font-family: "josefin sans", "helvetica", sans-serif;
  font-size: 1rem;
}

.topLogo:hover
{
	.logoText
	{
		color:blue;
	}
	text-decoration:none;
}

.RequestDemo
{
	/* color:#412d00 !important; */
	color:#064d23 !important;
}

.navHighlight
{
	background-color:#00f9b4;
}

header {
	background: var(--header-bg);
	position: sticky;
	top: 0;
	z-index:99;
	-webkit-box-shadow:0px 0px 6px #000;
	-moz-box-shadow:0px 0px 6px #000;
	box-shadow:0px 0px 6px #000;
	
  
}
.branding-logo {
  color: var(--light);
  font-size: calc(0.8rem + 1vw);
  text-decoration: none;
}

.headerContainer
{
	/*
  background: url('../img/navbarCurves.png') no-repeat;
  background-position: left;
	*/
}
#oemDocsLogoContainer 
{
	width:300px; 
	height:100px;   
	padding:8px; 
	z-index:3; 
	position:absolute; 
	left:0; 
	top:0;
	filter: drop-shadow(0 0 20px white);
}
.navbar {
  display: flex;
  width:100%;
  justify-content: space-between;
  align-items: center;
  height:100px;
	  background: url('../img/navbarCurves.png') no-repeat;
	  background-position: left;

}
#navigation
{
	z-index:3;
	margin-right:2em;
}
.menu {
  display: flex;
  flex-direction: row;
  z-index:3;
}
.menu li {
  list-style: none;

}
.menu li a {
  display: block;
  text-decoration: none;
  color: #fff;
  padding: 1em 1.5em;
  font-size: 1rem;
}

/* Styling submenu */
.has-dropdown {
  position: relative;
}
.submenu {
  position: absolute;
  left: 0;
  background-color: var(--dark);
  white-space: nowrap;
  padding: 1.5em 0;
  min-width: 325px;

  /* hide submenus */
  opacity: 0;
  transform: scaleY(0);
  transform-origin: top center;
}
.submenu > li > a {
  padding: 0.8em 1.5em;
}
.submenu .submenu {
  left: -100%;
  top: 0;
}
.submenu .submenu .submenu {
  left: -100%;
  top: 0;
}

.menu > li:hover > a,
.submenu > li:hover > a {
  background-color: rgb(0,0,0,0.25);
  color: var(--hover-color);
	.RequestDemo
	{
		color:white !important;
	}
}


.menu > li:hover > a {
  background-color: #002842;
}


/* Arrows */

.arrow {
  width: 0.5em;
  height: 0.5em;
  display: inline-block;
  vertical-align: middle;
  border-left: 0.15em solid currentColor;
  border-bottom: 0.15em solid currentColor;
  transform: rotate(-45deg);
  margin-top: -0.25em;
  transition: transform 100ms ease-in-out;
}

/* Reveal  */
.menu > li:hover > a + .submenu,
.submenu > li:hover > a + .submenu {
  opacity: 1;
  transform: scaleY(1);
}

/* ANIMATE aRROWS */
.menu > li:hover > a > .arrow,
.submenu > li:hover > a > .arrow {
  transform: rotate(225deg);
}

@media only screen and (max-width: 98.75em) {
  .submenu .submenu .submenu {
    left: -100%;
    top: 0.5em;
  }
  .submenu {
    min-width: 325px;
  }
}
@media only screen and (max-width: 78.75em) {
  .menu li a {
    font-size: 16px;
  }
}

#logoTextContainer
{
	display:inline-block;
	vertical-align: middle;
	z-index:4;
}

#logoText 
{
	margin-top:-50px; 
	padding-left:8px;
	z-index:4;
}

#phoneNumber
{
	margin-top:-8px; 
	margin-left:19px; 
	color:green;
}

#logo 
{
	height:75px; 
	margin-left:15px; 
	margin-top:5px;
	z-index:4;
}
#logoImage
{
	display:inline-block; 
	min-width:2.2cm; 
	height:3.8cm; 
	text-align: center;
	vertical-align: middle;
	z-index:4;
}

@media only screen and (max-width: 85em) {
  header {
/*     position: relative; 
    padding: 1.5em 2em;*/
	/* padding-right:1.5em; */
  }
  .menu {
    flex-flow: column;
    position: absolute;
    background: var(--dark);
    top: 100px;
    left: 0;
    right: 0;
    height: 100vh;

    opacity: 0;
    transform: scaleY(0);
    transform-origin: top center;
    transition: 200ms transform cubic-bezier(0.36, 0.4, 0.42, 1.48) 100ms,
      100ms opacity ease-in-out;
    
    overflow-y: scroll;
    
  }
  .menu > li > a {
    font-size: 1rem;
    color: #fff;
  }
  .submenu > li > a {
    font-size: 1rem;
  }

  .submenu {
    top: 0;
    padding-left: 1.5em;
    border-left: 1px solid #f4941b;
	margin-left:1em;
  }
  .submenu .submenu {
    left: 0;
    top: 0;
  }
  .submenu .submenu .submenu {
    left: 0;
    top: 0;
  }

  .menu > li:hover > a + .submenu,
  .submenu > li:hover > a + .submenu {
    position: relative;
  }

  .hamburger {
    width: 2em;
    height: 0.25em;
    display: block;
    background: var(--light);
    position: relative;
    cursor: pointer;
    transition: 0.2s transform ease-in-out;
  }
  .hamburger::after,
  .hamburger::before {
    content: "";
    position: absolute;
    left: 0;
    background: inherit;
    width: inherit;
    height: inherit;

    transition: 0.2s transform ease-in-out;
  }

  .hamburger::after {
    top: 0.65em;
  }
  .hamburger::before {
    bottom: 0.65em;
  }

  .close::after,
  .close::before {
    top: 0;
    transition: 0.2s transform ease-in-out;
  }
  .close::before {
    display: none;
  }
  .close {
    transform: rotate(45deg);
    transition: 0.2s transform ease-in-out;
  }
  .close::after {
    transform: rotate(-90deg);
  }

  /* reveal menu */
  input[type="checkbox"]:checked + .menu {
    position: absolute;
    opacity: 1;
    transform: scaleY(1);
  }
}













main {
/* just to make scrollable vertically to see sticky navbar    
  min-height: 100vh;*/
}